Support » Plugin: Recommend to a friend » unexpected T_STRING error

  • Resolved mvincik

    (@mvincik)


    Hello,

    I am running a website with WordPress version 4.9.7 that is getting this message:

    Parse error: syntax error, unexpected T_STRING in public_html/wp-content/plugins/recommend-a-friend/inc/class-client.php on line 150

    Please let me know if you release an update for this plugin. It’s a great plugin that has been working for years. I just think a few pieces of code need some simple updates.

    Thank you.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author benjaminniess

    (@benjaminniess)

    Hello @mvincik,

    Thanks for your message.

    This line is calling a method from an external class which use the PHP 5.3+ namespace feature. I guess that if you get this error, it’s because you are using an older version of PHP.

    Could you update your PHP version to 5.3 or higher and tell me if it solves your problem?

    Wow, unreal! The clients server was actually on PHP 5.2. I didn’t even think of that because all the sites we work on now are PHP 7.2.They must have accidentally downgraded their server from when the site originally launched years ago.

    Thanks for the help!

    Plugin Author benjaminniess

    (@benjaminniess)

    No problem

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘unexpected T_STRING error’ is closed to new replies.